mysqld(1)

NAME
mysqld - The MySQL server demon

USAGE
mysqld [OPTIONS]

SYNOPSIS
mysqld [--ansi] [-b|--basedir=path] [--big-tables] [--bind-address=IP] [--character-sets-dir=path] [--chroot=path] [-h|--datadir=path] [--default-character-set=charset] [--default-table-type=type] [--delay-key-write-for-all-tables] [--enable-locking] [-T|--exit-info] [--flush] [-?|--help] [--init-file=file] [-L|--language=...] [-l|--log[=file]] [--log-isam[=file]] [--log-slow-queries[=file]] [--log-update[=file]] [--log-long-format] [--low-priority-updates] [--memlock] [ --myisam-recover [=option[,option...]]] where option is one of DEFAULT, BACKUP, FORCE or QUICK.] [--pid-file=path] [-P|--port=...] [-o|--old-protocol] [--one-thread] [-O|--set-variablevar=option] [-Sg|--skip-grant-tables] [--safe-mode] [--secure] [--skip-concurrent-insert] [--skip-delay-key-write] [--skip-locking] [--skip-name-resolve] [--skip-networking] [--skip-new] [--skip-host-cache] [--skip-show-database] [--skip-thread-priority] [--socket=path] [-t|--tmpdir=path] [-u|--user=user_name] [-V|--version]

DESCRIPTION

--ansi
    Use ANSI SQL syntax instead of MySQL syntax. See section 5.2 Running MySQL in ANSI Mode.

-b|--basedir=path
    Path to installation directory. All paths are usually resolved relative to this.

--big-tables
    Allow big result sets by saving all temporary sets on file. It solves most 'table full' errors, but also slows down the queries where in-memory tables would suffice. Since Version 3.23.2, MySQL is able to solve it automaticaly by using memory for small temporary tables and switching to disk tables where necessary.

--bind-address=IP
    IP address to bind to.

--character-sets-dir=path
    Directory where character sets are. See section 10.1.1 The Character Set Used for Data and Sorting.

--chroot=path
    Chroot mysqld daemon during startup. Recommended security measure. It will somewhat limit LOAD DATA INFILE and SELECT ... INTO OUTFILE though.

-h|--datadir=path
    Path to the database root.

--default-character-set=charset
    Set the default character set. See section 10.1.1 The Character Set Used for Data and Sorting.

--default-table-type=type
    Set the default table type for tables. See section 8 MySQL Table Types.

--delay-key-write-for-all-tables
    Don't flush key buffers between writes for any MyISAM table. See Mysql Manual section 12.2.3 Tuning Server Parameters.

--enable-locking
    Enable system locking.

-T|--exit-info
    Print some debug info at exit.

--flush
    Flush all changes to disk after each SQL command. Normally MySQL only does a write of all changes to disk after each SQL command and lets the operating system handle the syncing to disk. See section 20.2 What to Do if MySQL Keeps Crashing.

-?|--help
    Display short help and exit.

--init-file=file
    Read SQL commands from this file at startup.

-L|--language=...
    Client error messages in given language. May be given as a full path. See Mysql Manual section 10.1 What Languages Are Supported by MySQL?.

-l|--log[=file]
    Log connections and queries to file.

--log-isam[=file]
    Log all ISAM/MyISAM changes to file (only used when debugging ISAM/MyISAM).

--log-slow-queries[=file]
    Log all queries that have taken more than long_query_time seconds to execute to file. See Mysql Manual section 21.5 The Slow Query Log.

--log-update[=file]
    Log updates to file.# where # is a unique number if not given. See Mysql Manual section 21.3 The Update Log.

--log-long-format
    Log some extra information to update log. If you are using --log-slow-queries then queries that are not using indexes are logged to the slow query log.

--low-priority-updates
    Table-modifying operations (INSERT/DELETE/UPDATE) will have lower priority than selects. It can also be done via {INSERT | REPLACE | UPDATE | DELETE} LOW_PRIORITY ... to lower the priority of only one query, or by SET OPTION SQL_LOW_PRIORITY_UPDATES=1 to change the priority in one thread. See Mysql Manual section 12.2.9 Table Locking Issues.

--memlock
    Lock the mysqld process in memory. This works only if your system supports the mlockall() system call. This may help if you have a problem where the operating system is causing mysqld to swap on disk.

--myisam-recover [=option[,option...]]] where option is one of DEFAULT, BACKUP, FORCE or QUICK.
    If this option is used, mysqld will on open check if the table is marked as crashed or if if the table wasn't closed properly (The last option only works if you are running with --skip-locking). If this is the case mysqld will run check on the table. If the table was corrupted, mysqld will attempt to repair it. The following options affects how the repair works. DEFAULT The same as not giving any option to --myisam-recover. BACKUP If the data table was changed during recover, save a backup of the `table_name.MYD' data file as `table_name-datetime.BAK'. FORCE Run recover even if we will loose more than one row from the .MYD file. QUICK Don't check the rows in the table if there isn't any delete blocks. Before a table is automaticly repaired, mysqld will add a note about this in the error log. If you want to be able to recover from most things without user intervention, you should use the options BACKUP,FORCE. This will force a repair of a table even if some rows would be deleted, but it will keep the old data file as a backup so that you can later examine what happened.

--pid-file=path
    Path to pid file used by mysqld_safe.

-P|--port=...
    Port number to listen for TCP/IP connections.

-o|--old-protocol
    Use the 3.20 protocol for compatibility with some very old clients. See Mysql Manual section 4.17.3 Upgrading from Version 3.20 to Version 3.21.

--one-thread
    Only use one thread (for debugging under Linux). See Mysql Manual section H.1 Debugging a MySQL server.

-O| --set-variable var=option
    Give a variable a value. --help lists variables. You can find a full description for all variables in the SHOW VARIABLES section in this manual. See Mysql Manual section 7.28.4 SHOW VARIABLES. The tuning server parameters section includes information of how to optimize these. See Mysql Manual section 12.2.3 Tuning Server Parameters.

-Sg|--skip-grant-tables
    This option causes the server not to use the privilege system at all. This gives everyone full access to all databases! (You can tell a running server to start using the grant tables again by executing mysqladmin flush-privileges or mysqladmin reload.)

--safe-mode
    Skip some optimize stages. Implies --skip-delay-key-write.

--secure
    IP numbers returned by the gethostbyname() system call are checked to make sure they resolve back to the original hostname. This makes it harder for someone on the outside to get access by pretending to be another host. This option also adds some sanity checks of hostnames. The option is turned off by default in MySQL Version 3.21 because sometimes it takes a long time to perform backward resolutions. MySQL Version 3.22 caches hostnames (unless --skip-host-cache is used) and has this option enabled by default.

--skip-concurrent-insert
    Turn off the ability to select and insert at the same time on MyISAM tables. (This is only to be used if you think you have found a bug in this feature).

--skip-delay-key-write
    Ignore the delay_key_write option for all tables. See Mysql Manual section 12.2.3 Tuning Server Parameters.

--skip-locking
    Don't use system locking. To use isamchk or myisamchk you must shut down the server. See Mysql Manual section 1.6 How Stable Is MySQL?. Note that in MySQL Version 3.23 you can use REPAIR and CHECK to repair/check MyISAM tables.

--skip-name-resolve
    Hostnames are not resolved. All Host column values in the grant tables must be IP numbers or localhost.

--skip-networking
    Don't listen for TCP/IP connections at all. All interaction with mysqld must be made via Unix sockets. This option is highly recommended for systems where only local requests are allowed. However, this option is unsuitable for systems that use MIT-pthreads, because the MIT-pthreads package doesn't support Unix sockets.

--skip-new
    Don't use new, possible wrong routines. Implies --skip-delay-key-write

--skip-host-cache
    Never use host name cache for faster name-ip resolution, but query DNS server on every connect instead.

--skip-show-database
    Don't allow 'SHOW DATABASE' commands, unless the user has process privilege.

--skip-thread-priority
    Disable using thread priorities for faster response time.

--socket=path
    Socket file to use for local connections instead of default /tmp/mysql.sock.

-t|--tmpdir=path
    Path for temporary files. It may be useful if your default /tmp directory resides on a partition too small to hold temporary tables.

-u|--user=user_name
    Run mysqld daemon as user user_name. This option is mandatory when starting mysqld as root.

-V|--version
    Output version information and exit.

NOTE

SEE ALSO
isamchk(1), isamlog(1), mysql(1), mysqlaccess(1), mysqladmin(1), mysqld_multi(1), mysqld_safe(1), mysqldump(1), mysql_fix_privilege_tables(1), mysqlshow(1), mysql_zap(1), perror(1), replace(1)

For more information please refer to the MySQL reference manual, which may already be installed locally and which is also available online at http://www.mysql.com/doc/en/

BUGS
Please refer to http://bugs.mysql.com/ to report bugs.

AUTHOR
Ver 1.0, distribution 4.0.20 Michael (Monty) Widenius (monty@mysql.com), MySQL AB (http://www.mysql.com/). This software comes with no warranty. Manual page by L. (Kill-9) Pedersen (kill-9@kill-9.dk), Mercurmedia Data Model Architect / system developer (http://www.mercurmedia.com)